import { Pipe, PipeTransform } from '@angular/core';
import { orderStatusMapper } from '../core/mappings/shelf.mapping';

@Pipe({
  name: 'orderStatus',
})
export class OrderStatusPipe implements PipeTransform {
  transform(input: number): string {
    if (!input) {
      return '';
    }

    return orderStatusMapper[input];
  }
}
